#ifndef CDOS_APT_REMOVE_C_H
#define CDOS_APT_REMOVE_C_H

#ifdef __cplusplus
extern "C"
{
#endif

typedef struct _CdosAptRemove CdosAptRemove;

CdosAptRemove* create_cdosAptRemove();
void destroy_cdosAptRemove(CdosAptRemove* thisClass);
int call_isDeleteOK(CdosAptRemove* thisClass, const char* packageName);
int call_setUnRemoveList(CdosAptRemove* thisClass, const char *unRemove[], int listLength);
int call_delUnRemoveList(CdosAptRemove* thisClass, const char *unRemove[], int listLength);
int call_markDelete(CdosAptRemove* thisClass, const char* packageName);
int call_doRemove(CdosAptRemove* thisClass);
char* call_getDeletePackage(CdosAptRemove* thisClass);

#ifdef __cplusplus
}
#endif

#endif