/**
 * Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
 * 
 * This software is published by the license of CPU-OS License，you can use and 
 * distibuted this software under this License. See CPU-OS Liense for more detail.
 *
 * You should have receive a copy of CPU-OS License. If not, please contact us 
 * by email <support_os@cpu-os.ac.cn>  
 * 
**/

#ifndef __CDOS_AUDIT_TYPES_H__
#define __CDOS_AUDIT_TYPES_H__

typedef enum {
    NODETYPE_LOGTYPE = (0x01 << 0),
    NODETYPE_DATETIME = (0x01 << 1),
    NODETYPE_EXECUSER = (0x01 << 2),
    NODETYPE_EXECRESULT = (0x01 << 3),

    NODETYPE_ALL = (NODETYPE_LOGTYPE | NODETYPE_DATETIME | NODETYPE_EXECUSER | NODETYPE_EXECRESULT)
} CdosAuQueryType;

#endif // __CDOS_AUDIT_TYPES_H__